> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Userwhatsapp List

> Retrieve all Userwhatsapp



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json get /api/v1/user/list/UserWhatsApp
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/user/list/UserWhatsApp:
    get:
      tags:
        - User
      summary: Read Userwhatsapp List
      description: Retrieve all Userwhatsapp
      operationId: read_userwhatsapp_list_api_v1_user_list_UserWhatsApp_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IGetResponsePaginated_IUserWhatsAppRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IGetResponsePaginated_IUserWhatsAppRead_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: ''
        meta:
          additionalProperties: true
          type: object
          title: Meta
          default: {}
        data:
          $ref: '#/components/schemas/PageBase_IUserWhatsAppRead_'
      type: object
      required:
        - data
      title: IGetResponsePaginated[IUserWhatsAppRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PageBase_IUserWhatsAppRead_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/IUserWhatsAppRead'
          type: array
          title: Items
        total:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Total
        page:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Page
        size:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Size
        pages:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Pages
        previous_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Previous Page
          description: Page number of the previous page
        next_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Page
          description: Page number of the next page
      type: object
      required:
        - items
        - total
        - page
        - size
      title: PageBase[IUserWhatsAppRead]
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    IUserWhatsAppRead:
      properties:
        phone_number_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone Number Id
        phone_business_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone Business Id
        facebook_app_secret:
          anyOf:
            - type: string
            - type: 'null'
          title: Facebook App Secret
        whatsapp_access_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Whatsapp Access Token
        whatsapp_phone_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Whatsapp Phone Number
        id:
          type: string
          format: uuid
          title: Id
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - phone_number_id
        - phone_business_id
        - facebook_app_secret
        - whatsapp_access_token
        - whatsapp_phone_number
        - id
        - updated_at
      title: IUserWhatsAppRead
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````